/******************************************************************
 * @file  Receiver_Sync_Task.s.c
 * @brief:    [file description] 
 * @author: HUOHUO
 * @Date 2024年10月30日
 * COPYRIGHT NOTICE: ITTC
 * Change_date         Owner         Change_content
 * 2024年10月30日        HUOHUO       create file

*****************************************************************/
#include "receiver_sync_func.h"


#define ADDR_ALIGN(addr, val)   ((((uint32_t)(addr) + (2<<(val)) - 1)>>(val))<<(val)) 


 /*!   
 * @brief:  Receiver任务处理流程
 * @author:  HUOHUO
 * @Date:  2024年4月20日
 */
void Receiver_Sync_Task()
{
    g_time_start[0] = TIME_NS();
    uint16_t end_slot;
    uint16_t end_us;
    RUN_CNT(TRACE_RECEIVER_SYNC_ADDR, 0);
    
    // volatile uint32_t temp = LOAD_EX_W(JESD_NRFDD_RX_SLOT_EVEN_DATA_ADDR);
    // volatile uint32_t temp1;
    // while(1)
    // {
    //     temp1 = LOAD_EX_W(JESD_NRFDD_RX_SLOT_EVEN_DATA_ADDR);
    //     if(temp != temp1)
    //     {
    //         uint32_t a = get_tx_nr_slot_cycle();
    //         uint32_t b = get_tx_nr_slot();
    //         LOG_ERROR_S("%d %d\n", b, a);
    //         temp = temp1;
    //     }
    // }
    //6. 计算流程
    Receiver_Sync_Proc();


    TRACE(TRACE_RECEIVER_SYNC_ADDR, 3, 100);
    RUN_CNT(TRACE_RECEIVER_SYNC_ADDR, 1);
    end_slot = TIME_SLOT();
    end_us =  TIME_NS();
    TRACE_MAX(TRACE_RECEIVER_SYNC_ADDR, 2, Time_offset(0) );

    return;
}


